=== debian/changelog ===
infon (0~r198-8) unstable; urgency=low

  * Depend on libsdl-image1.2-dev (Closes: #674360) 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 26 May 2012 18:02:21 +0200

infon (0~r198-7) unstable; urgency=low

  * Depend on libncurses-dev (Closes: #669302)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 19 Apr 2012 09:46:26 +0200

infon (0~r198-6) unstable; urgency=low

  Got some nice packaging cleanup by Jari Aalto, thanks for that (Closes:
  668937):

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix copyright-with-old-dh-make-debian-copyright (Lintian).
  * Fix debian-rules-ignores-make-clean-error (Lintian).

 -- Joachim Breitner <nomeata@debian.org>  Sun, 15 Apr 2012 22:01:33 +0200

infon (0~r198-5) unstable; urgency=low

  * Reorganize targets in debian/rules (Closes: #666291)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 04 Apr 2012 21:32:47 +0200

infon (0~r198-4) unstable; urgency=low

  * Depend on kdebase-bin instead of kdebase, as pointed out by Daniel Roschka 
  * Put binaries in /usr/games 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Aug 2011 10:21:04 +0200

infon (0~r198-3) unstable; urgency=low

  * Depend on libreadline-dev instead of libreadline5-dev
  * Extend infon(6) manpage (Closes: #445647)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 13 Sep 2009 15:35:28 +0200

infon (0~r198-2) unstable; urgency=low

  * Uses metainit for the init script

 -- Joachim Breitner <nomeata@debian.org>  Mon, 16 Jul 2007 16:05:19 +0200

infon (0~r198-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 01 Jun 2007 21:39:34 +0200

infon (0~r139-1) unstable; urgency=low

  * New upstream release
  * Dropping patches/20-quieten-infond.dpatch, upstream supports a flag for
    that
  * Upload to unstable, since etch is frozen.
  * Sponsored by http://www.aiti-kace.com.gh/

 -- Joachim Breitner <nomeata@debian.org>  Fri, 22 Dec 2006 16:35:26 +0000

infon (0~r99-2) experimental; urgency=low

  * missing build-dep on dpatch (Closes: #402608)
    (I thought I had checked it in pbuilder. I thought wrongly)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 11 Dec 2006 18:02:29 +0000

infon (0~r99-1) experimental; urgency=low

  * New upstream version
  * Added XS-Vcs-Svn header
  * Sponsored by AITI-KACE, Accra, Ghana

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Nov 2006 13:29:51 +0000

infon (0~r89-1) experimental; urgency=low

  * Initial release 
  * Upload to experimental as per release manager’s wish
  * Sponsored by AITI-KACE, Accra, Ghana

 -- Joachim Breitner <nomeata@debian.org>  Tue, 21 Nov 2006 09:26:56 +0000
